Bug 1463851 - [abrt] vino: wl_display_interface(): vino-server killed by signal 11
[abrt] vino: wl_display_interface(): vino-server killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6b9709a34249b2c81ff2636e349...
:
: 1464799 1470279 1470899 1471327 1473037 1473958 1473959 1475033 1475274 1475545 1475984 1476680 1482699 1498534 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 19:25 EDT by Keith Calvelli
Modified: 2018-05-29 08:12 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.23 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: cgroup (335 bytes, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: core_backtrace (8.72 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: dso_list (8.51 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: environ (1.49 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: exploitable (125 bytes, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: maps (39.89 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: open_fds (884 bytes, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details
File: var_log_messages (804 bytes, text/plain)
2017-06-21 19:26 EDT, Keith Calvelli
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 761120 None None None 2018-02-20 07:12 EST

  None (edit)
Description Keith Calvelli 2017-06-21 19:25:58 EDT
Description of problem:
1. Screensharing enabled in Gnome
2. Startup wayland session

Version-Release number of selected component:
vino-3.22.0-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/libexec/vino-server
crash_function: wl_display_interface
executable:     /usr/libexec/vino-server
journald_cursor: s=964e22d6103c4786a2a4d46d7507d3b1;i=96869;b=cdc5e50eff014229a00810744a94ece9;m=1901170;t=55280a0601382;x=114f94437694ec07
kernel:         4.11.5-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wl_display_interface
 #1 XQueryExtension at QuExt.c:43
 #2 get_xinput_base at XTest.c:79
 #3 find_display at XTest.c:83
 #4 XTestQueryExtension at XTest.c:101
 #5 vino_input_init at server/vino-input.c:761
 #6 name_acquired at server/vino-main.c:152
 #7 do_call at gdbusnameowning.c:215
 #8 request_name_cb at gdbusnameowning.c:327
 #9 g_task_return_now at gtask.c:1145

Potential duplicate: bug 1394610
Comment 1 Keith Calvelli 2017-06-21 19:26:03 EDT
Created attachment 1290331 [details]
File: backtrace
Comment 2 Keith Calvelli 2017-06-21 19:26:05 EDT
Created attachment 1290332 [details]
File: cgroup
Comment 3 Keith Calvelli 2017-06-21 19:26:06 EDT
Created attachment 1290333 [details]
File: core_backtrace
Comment 4 Keith Calvelli 2017-06-21 19:26:07 EDT
Created attachment 1290334 [details]
File: cpuinfo
Comment 5 Keith Calvelli 2017-06-21 19:26:10 EDT
Created attachment 1290335 [details]
File: dso_list
Comment 6 Keith Calvelli 2017-06-21 19:26:12 EDT
Created attachment 1290336 [details]
File: environ
Comment 7 Keith Calvelli 2017-06-21 19:26:13 EDT
Created attachment 1290337 [details]
File: exploitable
Comment 8 Keith Calvelli 2017-06-21 19:26:14 EDT
Created attachment 1290338 [details]
File: limits
Comment 9 Keith Calvelli 2017-06-21 19:26:16 EDT
Created attachment 1290339 [details]
File: maps
Comment 10 Keith Calvelli 2017-06-21 19:26:17 EDT
Created attachment 1290340 [details]
File: open_fds
Comment 11 Keith Calvelli 2017-06-21 19:26:19 EDT
Created attachment 1290341 [details]
File: proc_pid_status
Comment 12 Keith Calvelli 2017-06-21 19:26:20 EDT
Created attachment 1290342 [details]
File: var_log_messages
Comment 13 AHMED MELAD 2017-08-23 11:15:23 EDT
Similar problem has been detected:

when I run update of OS the message come tell me something is going wrong. 

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/libexec/vino-server
crash_function: wl_display_interface
executable:     /usr/libexec/vino-server
journald_cursor: s=31d1c1c951fd4383891456eed1c087a4;i=30e0a;b=6a2ba5a9a0b445ecb83194e9ccce1b67;m=8bd9d25;t=5576ce20c8bd8;x=644fb85f3deaa2c3
kernel:         4.12.5-300.fc26.x86_64
package:        vino-3.22.0-2.fc26
reason:         vino-server killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 14 Kamichr 2017-10-25 06:35:25 EDT
Similar problem has been detected:

Login into wayland session. I got 3 vino crash events at once.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/libexec/vino-server
crash_function: wl_display_interface
executable:     /usr/libexec/vino-server
journald_cursor: s=5a021c2bab0d47d5b9a875b0d593cc97;i=717e3;b=7a067590c2894f57baf74914ccd9fd57;m=2acab31;t=55c5c7c6320b4;x=37ea6c19f28a90fd
kernel:         4.13.5-200.fc26.x86_64
package:        vino-3.22.0-2.fc26
reason:         vino-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Ondrej Holy 2018-02-20 07:01:24 EST
*** Bug 1473037 has been marked as a duplicate of this bug. ***
Comment 16 Ondrej Holy 2018-02-20 07:01:26 EST
*** Bug 1464799 has been marked as a duplicate of this bug. ***
Comment 17 Ondrej Holy 2018-02-20 07:01:28 EST
*** Bug 1498534 has been marked as a duplicate of this bug. ***
Comment 18 Ondrej Holy 2018-02-20 07:01:29 EST
*** Bug 1475033 has been marked as a duplicate of this bug. ***
Comment 19 Ondrej Holy 2018-02-20 07:01:31 EST
*** Bug 1470279 has been marked as a duplicate of this bug. ***
Comment 20 Ondrej Holy 2018-02-20 07:05:10 EST
*** Bug 1470899 has been marked as a duplicate of this bug. ***
Comment 21 Ondrej Holy 2018-02-20 07:05:12 EST
*** Bug 1471327 has been marked as a duplicate of this bug. ***
Comment 22 Ondrej Holy 2018-02-20 07:05:14 EST
*** Bug 1473958 has been marked as a duplicate of this bug. ***
Comment 23 Ondrej Holy 2018-02-20 07:05:16 EST
*** Bug 1475274 has been marked as a duplicate of this bug. ***
Comment 24 Ondrej Holy 2018-02-20 07:05:17 EST
*** Bug 1475545 has been marked as a duplicate of this bug. ***
Comment 25 Ondrej Holy 2018-02-20 07:05:19 EST
*** Bug 1475984 has been marked as a duplicate of this bug. ***
Comment 26 Ondrej Holy 2018-02-20 07:05:23 EST
*** Bug 1476680 has been marked as a duplicate of this bug. ***
Comment 27 Ondrej Holy 2018-02-20 07:05:25 EST
*** Bug 1473959 has been marked as a duplicate of this bug. ***
Comment 28 Ondrej Holy 2018-02-20 07:05:27 EST
*** Bug 1482699 has been marked as a duplicate of this bug. ***
Comment 29 Fedora End Of Life 2018-05-03 04:10:39 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 30 Anass Ahmed 2018-05-03 10:28:14 EDT
Still happens in F27, F28, and Rawhide every time I connect to a network in GNOME Network Manager.

The upstream patch hasn't been merged yet.
Comment 31 Fedora Update System 2018-05-21 12:01:57 EDT
vino-3.22.0-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1486702873
Comment 32 Fedora Update System 2018-05-22 11:37:27 EDT
vino-3.22.0-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1486702873
Comment 33 Fedora End Of Life 2018-05-29 08:12:17 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.